<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WftransMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wftrans">
        <id column="ID" property="id" />
        <result column="NODEID" property="nodeid" />
        <result column="WFINSTID" property="wfinstid" />
        <result column="ASSIGNID" property="assignid" />
        <result column="ACTIONID" property="actionid" />
        <result column="TRANSTYPE" property="transtype" />
        <result column="TRANSDATE" property="transdate" />
        <result column="MEMO" property="memo" />
        <result column="NODETYPE" property="nodetype" />
        <result column="WFNAME" property="wfname" />
        <result column="WFREVISION" property="wfrevision" />
        <result column="OWNERTABLE" property="ownertable" />
        <result column="OWNERID" property="ownerid" />
        <result column="ASSIGNCODE" property="assigncode" />
        <result column="PRIORITY" property="priority" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, NODEID, WFINSTID, ASSIGNID, ACTIONID, TRANSTYPE, TRANSDATE, MEMO, NODETYPE, WFNAME, WFREVISION, OWNERTABLE, OWNERID, ASSIGNCODE, PRIORITY
    </sql>

    <select id="selectMaxId" resultType="Integer">
        select max(id) from WFTRANS
    </select>
</mapper>
